
From: timothy parkinson <t@timothyparkinson.com>

Seems like a lot of people see the below error message, but aren't quite
sure why it happens or how to fix it.  I sure didn't.  Here's my attempt at
remedying that.



---

 arch/i386/kernel/timers/timer_tsc.c |   10 +++++++---
 1 files changed, 7 insertions(+), 3 deletions(-)

diff -puN arch/i386/kernel/timers/timer_tsc.c~fancy-lost-ticks-message arch/i386/kernel/timers/timer_tsc.c
--- 25/arch/i386/kernel/timers/timer_tsc.c~fancy-lost-ticks-message	2004-01-24 14:10:27.000000000 -0800
+++ 25-akpm/arch/i386/kernel/timers/timer_tsc.c	2004-01-24 14:10:27.000000000 -0800
@@ -232,9 +232,13 @@ static void mark_offset_tsc(void)
 		/* sanity check to ensure we're not always losing ticks */
 		if (lost_count++ > 100) {
 			printk(KERN_WARNING "Losing too many ticks!\n");
-			printk(KERN_WARNING "TSC cannot be used as a timesource."
-					" (Are you running with SpeedStep?)\n");
-			printk(KERN_WARNING "Falling back to a sane timesource.\n");
+			printk(KERN_WARNING "TSC cannot be used as a timesource.  ");
+			printk(KERN_WARNING "Possible reasons for this are:\n");
+			printk(KERN_WARNING "  You're running with Speedstep,\n");
+			printk(KERN_WARNING "  You don't have DMA enabled for your hard disk (see hdparm),\n");
+			printk(KERN_WARNING "  Incorrect TSC synchronization on an SMP system (see dmesg).\n");
+			printk(KERN_WARNING "Falling back to a sane timesource now.\n");
+
 			clock_fallback();
 		}
 	} else

_
